#
# spec file for package python-pytest-flask
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-flask
Version:        1.3.0
Release:        1.7
Summary:        A set of py.test fixtures to test Flask applications
License:        MIT
URL:            https://github.com/pytest-dev/pytest-flask
Source:         https://files.pythonhosted.org/packages/source/p/pytest-flask/pytest-flask-%{version}.tar.gz
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module Werkzeug >= 0.7}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest >= 5.2}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Flask
Requires:       python-Werkzeug >= 0.7
Requires:       python-pytest >= 5.2
BuildArch:      noarch
%python_subpackages

%description
An extension of pytest test runner which provides a set of useful tools
to simplify testing and development of the Flask extensions and applications.

%prep
%setup -q -n pytest-flask-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest --ignore tests/test_live_server.py

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Nov  7 2023 Dirk Müller <dmueller@suse.com>
- update to 1.3.0:
  * Fix compatibility with ``Flask 3.0`` -- the consequence is
    that the deprecated and incompatible ``request_ctx`` has been
    removed.
  * Fix bug in ``:meth:pytest_flask.fixtures.live_server``
  * where ``SESSION_COOKIE_DOMAIN`` was set to false due to
  * ``original_server_name`` defaulting to "localhost".
  * The new default is "localhost.localdomain".
  * Drop support for python 3.6 and 3.5
* Sun May 14 2023 Dirk Müller <dmueller@suse.com>
- update to 1.2.0:
  * Remove deprecated ``:meth:live_server.url``
  * fixture ``request_ctx is now deprecated``
    and will be removed in the future
  * ``JSONReponse.json`` removed in favour of
    ``Werkzeug.wrappers.Response.json``
  * Speedup live server start time. Use `socket` instead of
    server pulling to  check server availability and add new
    ``--live-server-wait`` option to set the live server wait
    timeout.
* Mon Mar 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * live_server is now session-scoped by default.
  * pytest 5.2 or later is now required.
  * Python 2.7 and 3.4 are no longer supported.
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.15.1:
  * Fix ImportError with Werkzeug 1.0.0rc1 (#105).
* Fri Jul 19 2019 Sean Marlow <sean.marlow@suse.com>
- Update to v0.15.0 (2019-07-19)
  + Initial release.
